Opened 8 years ago

Closed 8 years ago

#2589 closed defect (wontfix)

Local HTTP Proxy is unreachable.

Reported by: wrmweb Owned by: erinn
Priority: Medium Milestone:
Component: Applications/Tor bundles/installation Version:
Severity: Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

I'm a Torbutton newbie. I just installed v.1.2.5 on an iMac running 10.6.6 on Firefox 3.6.12, but when I run 'Test Settings' in Torbutton prefs, I get this warning: "[Javascript Application] Tor proxy test: Local HTTP Proxy is unreachable. Is Polipo running properly?"

Also, I've disabled all other add-on's except Torbutton.

I've looked all through this site and couldn't find this issue listed.

Is it a bug, or am I missing something?

Thank you very much.

Child Tickets

Change History (6)

comment:1 in reply to:  description Changed 8 years ago by rransom

Component: - Select a componentTorbutton
Owner: set to mikeperry

Replying to wrmweb:

I'm a Torbutton newbie. I just installed v.1.2.5 on an iMac running 10.6.6 on Firefox 3.6.12, but when I run 'Test Settings' in Torbutton prefs, I get this warning: "[Javascript Application] Tor proxy test: Local HTTP Proxy is unreachable. Is Polipo running properly?"

Upgrade to Firefox 3.6.13 for a security fix.

Also, I've disabled all other add-on's except Torbutton.

I've looked all through this site and couldn't find this issue listed.

Is it a bug, or am I missing something?

Did you install Tor? Torbutton does not include Tor; it requires that you install Tor separately.

comment:2 Changed 8 years ago by arma

I wonder if this is related to the "Tor bundles on OS X sometimes don't build polipo for that arch" bug, so your polipo has crashed when it started and that's why Torbutton can't find an http proxy.

comment:3 Changed 8 years ago by mikeperry

Component: TorbuttonTor bundles/installation
Owner: changed from mikeperry to erinn
Version: Torbutton: 1.2.5

This sure sounds like a polipo or OS X issue, not a torbutton issue. Could also be user error, if they didn't install tor+polipo at all.

comment:4 Changed 8 years ago by erinn

Status: newaccepted

Hi,

Can you try one of the recent bundles and tell me if you still have this problem?

comment:5 Changed 8 years ago by arma

Looks like a duplicate of #2350 (or vice versa)

comment:6 Changed 8 years ago by mikeperry

Resolution: wontfix
Status: acceptedclosed

Use TBB 2.2.x-alpha. It should be stable in a couple weeks.

Note: See TracTickets for help on using tickets.